GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Friends | List of all members
OGRPolygon Class Reference

Concrete class representing polygons. More...

`#include <ogr_geometry.h>`

Inheritance diagram for OGRPolygon:

## Public Member Functions
| OGRPolygon ()
| Create an empty polygon.
| OGRPolygon (const OGRPolygon &other)
| Copy constructor. More...
OGRPolygon & | operator= (const OGRPolygon &other)
| Assignment operator. More...
virtual const char * | getGeometryName () const
| Fetch WKT name for geometry type. More...
virtual OGRwkbGeometryType | getGeometryType () const
| Fetch geometry type. More...
virtual OGRBoolean | hasCurveGeometry (int bLookForNonLinear=FALSE) const
| Returns if this geometry is or has curve geometry. More...
virtual OGRGeometry * | getCurveGeometry (const char *const *papszOptions=NULL) const
| Return curve version of this geometry. More...
virtual OGRGeometry * | getLinearGeometry (double dfMaxAngleStepSizeDegrees=0, const char *const *papszOptions=NULL) const
| Return, possibly approximate, non-curve version of this geometry. More...
virtual OGRErr | PointOnSurface (OGRPoint *poPoint) const
| This method relates to the SFCOM ISurface::get_PointOnSurface() method. More...
virtual int | WkbSize () const
| Returns size of related binary representation. More...
virtual OGRErr | importFromWkb (unsigned char *, int=-1, OGRwkbVariant=wkbVariantOldOgc)
| Assign geometry from well known binary data. More...
virtual OGRErr | exportToWkb (OGRwkbByteOrder, unsigned char *, OGRwkbVariant=wkbVariantOldOgc) const
| Convert a geometry into well known binary format. More...
virtual OGRErr | importFromWkt (char **)
| Assign geometry from well known text data. More...
virtual OGRErr | exportToWkt (char **ppszDstText, OGRwkbVariant=wkbVariantOldOgc) const
| Convert a geometry into well known text format. More...
virtual OGRPolygon * | CurvePolyToPoly (double dfMaxAngleStepSizeDegrees=0, const char *const *papszOptions=NULL) const
| Return a polygon from a curve polygon. More...
OGRLinearRing * | getExteriorRing ()
| Fetch reference to external polygon ring. More...
const OGRLinearRing * | getExteriorRing () const
OGRLinearRing * | getInteriorRing (int)
| Fetch reference to indicated internal ring. More...
const OGRLinearRing * | getInteriorRing (int) const
OGRLinearRing * | stealExteriorRing ()
| "Steal" reference to external polygon ring. More...
OGRLinearRing * | stealInteriorRing (int)
| "Steal" reference to indicated interior ring. More...
OGRBoolean | IsPointOnSurface (const OGRPoint *) const
virtual void | closeRings ()
| Force rings to be closed. More...
Public Member Functions inherited from OGRCurvePolygon
| OGRCurvePolygon ()
| Create an empty curve polygon.
| OGRCurvePolygon (const OGRCurvePolygon &)
| Copy constructor. More...
OGRCurvePolygon & | operator= (const OGRCurvePolygon &other)
| Assignment operator. More...
virtual OGRGeometry * | clone () const
| Make a copy of this object. More...
virtual void | empty ()
| Clear geometry information. More...
virtual OGRErr | transform (OGRCoordinateTransformation *poCT)
| Apply arbitrary coordinate transformation to geometry. More...
virtual void | flattenTo2D ()
| Convert geometry to strictly 2D. More...
virtual OGRBoolean | IsEmpty () const
| Returns TRUE (non-zero) if the object has no points. More...
virtual void | segmentize (double dfMaxLength)
| Modify the geometry such it has no segment longer then the given distance. More...
virtual double | get_Area () const
| Get the area of the surface object. More...
virtual int | getDimension () const
| Get the dimension of this object. More...
virtual void | getEnvelope (OGREnvelope *psEnvelope) const
| Computes and returns the bounding envelope for this geometry in the passed psEnvelope structure. More...
virtual void | getEnvelope (OGREnvelope3D *psEnvelope) const
| Computes and returns the bounding envelope (3D) for this geometry in the passed psEnvelope structure. More...
virtual OGRBoolean | Equals (OGRGeometry *) const
| Returns TRUE if two geometries are equivalent. More...
virtual OGRBoolean | Intersects (const OGRGeometry *) const
| Do these features intersect? More...
virtual OGRBoolean | Contains (const OGRGeometry *) const
| Test for containment. More...
virtual void | setCoordinateDimension (int nDimension)
| Set the coordinate dimension. More...
virtual void | set3D (OGRBoolean bIs3D)
| Add or remove the Z coordinate dimension. More...
virtual void | setMeasured (OGRBoolean bIsMeasured)
| Add or remove the M coordinate dimension. More...
OGRErr | addRing (OGRCurve *)
| Add a ring to a polygon. More...
OGRErr | addRingDirectly (OGRCurve *)
| Add a ring to a polygon. More...
OGRCurve * | getExteriorRingCurve ()
| Fetch reference to external polygon ring. More...
const OGRCurve * | getExteriorRingCurve () const
int | getNumInteriorRings () const
| Fetch the number of internal rings. More...
OGRCurve * | getInteriorRingCurve (int)
| Fetch reference to indicated internal ring. More...
const OGRCurve * | getInteriorRingCurve (int) const
OGRCurve * | stealExteriorRingCurve ()
| "Steal" reference to external ring. More...
virtual void | swapXY ()
| Swap x and y coordinates. More...
Public Member Functions inherited from OGRGeometry
| OGRGeometry (const OGRGeometry &other)
| Copy constructor. More...
OGRGeometry & | operator= (const OGRGeometry &other)
| Assignment operator. More...
virtual int | getCoordinateDimension () const
| Get the dimension of the coordinates in this object. More...
int | CoordinateDimension () const
| Get the dimension of the coordinates in this object. More...
virtual OGRBoolean | IsValid () const
| Test if the geometry is valid. More...
virtual OGRBoolean | IsSimple () const
| Test if the geometry is simple. More...
OGRBoolean | Is3D () const
OGRBoolean | IsMeasured () const
virtual OGRBoolean | IsRing () const
| Test if the geometry is a ring. More...
OGRwkbGeometryType | getIsoGeometryType () const
| Get the geometry type that conforms with ISO SQL/MM Part3. More...
virtual void | dumpReadable (FILE *, const char *=NULL, char **papszOptions=NULL) const
| Dump geometry in well known text format to indicated output file. More...
virtual char * | exportToGML (const char *const *papszOptions=NULL) const
| Convert a geometry into GML format. More...
virtual char * | exportToKML () const
| Convert a geometry into KML format. More...
virtual char * | exportToJson () const
| Convert a geometry into GeoJSON format. More...
virtual GEOSGeom | exportToGEOS (GEOSContextHandle_t hGEOSCtxt) const CPL_WARN_UNUSED_RESULT
void | assignSpatialReference (OGRSpatialReference *poSR)
| Assign spatial reference to this object. More...
OGRSpatialReference * | getSpatialReference (void) const
| Returns spatial reference system for object. More...
OGRErr | transformTo (OGRSpatialReference *poSR)
| Transform geometry to new spatial reference system. More...
virtual OGRBoolean | Disjoint (const OGRGeometry *) const
| Test for disjointness. More...
virtual OGRBoolean | Touches (const OGRGeometry *) const
| Test for touching. More...
virtual OGRBoolean | Crosses (const OGRGeometry *) const
| Test for crossing. More...
virtual OGRBoolean | Within (const OGRGeometry *) const
| Test for containment. More...
virtual OGRBoolean | Overlaps (const OGRGeometry *) const
| Test for overlap. More...
virtual OGRGeometry * | Boundary () const CPL_WARN_UNUSED_RESULT
| Compute boundary. More...
virtual double | Distance (const OGRGeometry *) const
| Compute distance between two geometries. More...
virtual OGRGeometry * | ConvexHull () const CPL_WARN_UNUSED_RESULT
| Compute convex hull. More...
virtual OGRGeometry * | Buffer (double dfDist, int nQuadSegs=30) const CPL_WARN_UNUSED_RESULT
| Compute buffer of geometry. More...
virtual OGRGeometry * | Intersection (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute intersection. More...
virtual OGRGeometry * | Union (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute union. More...
virtual OGRGeometry * | UnionCascaded () const CPL_WARN_UNUSED_RESULT
| Compute union using cascading. More...
virtual OGRGeometry * | Difference (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute difference. More...
virtual OGRGeometry * | SymDifference (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute symmetric difference. More...
virtual OGRErr | Centroid (OGRPoint *poPoint) const
| Compute the geometry centroid. More...
virtual OGRGeometry * | Simplify (double dTolerance) const CPL_WARN_UNUSED_RESULT
| Simplify the geometry. More...
OGRGeometry * | SimplifyPreserveTopology (double dTolerance) const CPL_WARN_UNUSED_RESULT
| Simplify the geometry while preserving topology. More...
virtual OGRGeometry * | DelaunayTriangulation (double dfTolerance, int bOnlyEdges) const CPL_WARN_UNUSED_RESULT
| Return a Delaunay triangulation of the vertices of the geometry. More...
virtual OGRGeometry * | Polygonize () const CPL_WARN_UNUSED_RESULT
| Polygonizes a set of sparse edges. More...
OGRBoolean | Intersect (OGRGeometry *) const CPL_WARN_DEPRECATED("Non standard method. Use Intersects() instead")
OGRBoolean | Equal (OGRGeometry *) const CPL_WARN_DEPRECATED("Non standard method. Use Equals() instead")
OGRGeometry * | SymmetricDifference (const OGRGeometry *) const CPL_WARN_DEPRECATED("Non standard method. Use SymDifference() instead")
| Compute symmetric difference (deprecated) More...
OGRGeometry * | getBoundary () const CPL_WARN_DEPRECATED("Non standard method. Use Boundary() instead")
| Compute boundary (deprecated) More...

## Protected Member Functions
virtual int | checkRing (OGRCurve *poNewRing) const
OGRErr | importFromWKTListOnly (char **ppszInput, int bHasZ, int bHasM, OGRRawPoint *&paoPoints, int &nMaxPoints, double *&padfZ)
virtual OGRSurfaceCasterToPolygon | GetCasterToPolygon () const
virtual OGRSurfaceCasterToCurvePolygon | GetCasterToCurvePolygon () const
Protected Member Functions inherited from OGRGeometry
OGRErr | importPreambuleFromWkt (char **ppszInput, int *pbHasZ, int *pbHasM, bool *pbIsEmpty)
OGRErr | importCurveCollectionFromWkt (char **ppszInput, int bAllowEmptyComponent, int bAllowLineString, int bAllowCurve, int bAllowCompoundCurve, OGRErr(*pfnAddCurveDirectly)(OGRGeometry *poSelf, OGRCurve *poCurve))
OGRErr | importPreambuleFromWkb (unsigned char *pabyData, int nSize, OGRwkbByteOrder &eByteOrder, OGRwkbVariant eWkbVariant)
OGRErr | importPreambuleOfCollectionFromWkb (unsigned char *pabyData, int &nSize, int &nDataOffset, OGRwkbByteOrder &eByteOrder, int nMinSubGeomSize, int &nGeomCount, OGRwkbVariant eWkbVariant)
OGRErr | PointOnSurfaceInternal (OGRPoint *poPoint) const

## Static Protected Member Functions
static OGRCurvePolygon * | CastToCurvePolygon (OGRPolygon *poPoly)
| Cast to curve polygon. More...
Static Protected Member Functions inherited from OGRCurvePolygon
static OGRPolygon * | CastToPolygon (OGRCurvePolygon *poCP)
| Convert to polygon. More...

## Friends
class | OGRMultiSurface

## Additional Inherited Members
Static Public Member Functions inherited from OGRSurface
static OGRPolygon * | CastToPolygon (OGRSurface *poSurface)
| Cast to polygon. More...
static OGRCurvePolygon * | CastToCurvePolygon (OGRSurface *poSurface)
| Cast to curve polygon. More...
Static Public Member Functions inherited from OGRGeometry
static GEOSContextHandle_t | createGEOSContext ()
static void | freeGEOSContext (GEOSContextHandle_t hGEOSCtxt)
static OGRGeometry * | CastToIdentity (OGRGeometry *poGeom)
static OGRGeometry * | CastToError (OGRGeometry *poGeom)
Static Public Attributes inherited from OGRGeometry
static const unsigned int | OGR_G_NOT_EMPTY_POINT = 0x1
static const unsigned int | OGR_G_3D = 0x2
static const unsigned int | OGR_G_MEASURED = 0x4
static int | bGenerate_DB2_V72_BYTE_ORDER = FALSE
Protected Attributes inherited from OGRCurvePolygon
OGRCurveCollection | oCC
Protected Attributes inherited from OGRGeometry
unsigned int | flags

## Detailed Description

Concrete class representing polygons.

Note that the OpenGIS simple features polygons consist of one outer ring (linearring), and zero or more inner rings. A polygon cannot represent disconnected regions (such as multiple islands in a political body). The OGRMultiPolygon must be used for this.

## Constructor & Destructor Documentation

OGRPolygon::OGRPolygon | ( | const OGRPolygon & | other | ) |

Copy constructor.

Note: before GDAL 2.1, only the default implementation of the constructor existed, which could be unsafe to use.

Since
  GDAL 2.1

## Member Function Documentation

OGRCurvePolygon * OGRPolygon::CastToCurvePolygon | ( | OGRPolygon * | poPoly | ) |
| staticprotected

Cast to curve polygon.

The passed in geometry is consumed and a new one returned .

Parameters

  poPoly | the input geometry - ownership is passed to the method.

Returns
  new geometry.

void OGRPolygon::closeRings | ( |  | ) |
| virtual

Force rings to be closed.

If this geometry, or any contained geometries has polygon rings that are not closed, they will be closed by adding the starting point at the end.

Reimplemented from OGRGeometry.

OGRPolygon * OGRPolygon::CurvePolyToPoly | ( | double | dfMaxAngleStepSizeDegrees = `0`,
|  | const char *const * | papszOptions = `NULL`
| ) |  | const
| virtual

Return a polygon from a curve polygon.

This method is the same as C function OGR_G_CurvePolyToPoly().

The returned geometry is a new instance whose ownership belongs to the caller.

Parameters

  dfMaxAngleStepSizeDegrees | the largest step in degrees along the arc, zero to use the default setting.
  papszOptions | options as a null-terminated list of strings. Unused for now. Must be set to NULL.

Returns
  a linestring

Since
  OGR 2.0

Reimplemented from OGRCurvePolygon.

OGRErr OGRPolygon::exportToWkb | ( | OGRwkbByteOrder | eByteOrder,
|  | unsigned char * | pabyData,
|  | OGRwkbVariant | eWkbVariant = `wkbVariantOldOgc`
| ) |  | const
| virtual

Convert a geometry into well known binary format.

This method relates to the SFCOM IWks::ExportToWKB() method.

This method is the same as the C function OGR_G_ExportToWkb() or OGR_G_ExportToIsoWkb(), depending on the value of eWkbVariant.

Parameters

  eByteOrder | One of wkbXDR or wkbNDR indicating MSB or LSB byte order respectively.
  pabyData | a buffer into which the binary representation is written. This buffer must be at least OGRGeometry::WkbSize() byte in size.
  eWkbVariant | What standard to use when exporting geometries with three dimensions (or more). The default wkbVariantOldOgc is the historical OGR variant. wkbVariantIso is the variant defined in ISO SQL/MM and adopted by OGC for SFSQL 1.2.

Returns
  Currently OGRERR_NONE is always returned.

Reimplemented from OGRCurvePolygon.

OGRErr OGRPolygon::exportToWkt | ( | char ** | ppszDstText,
|  | OGRwkbVariant | eWkbVariant = `wkbVariantOldOgc`
| ) |  | const
| virtual

Convert a geometry into well known text format.

This method relates to the SFCOM IWks::ExportToWKT() method.

This method is the same as the C function OGR_G_ExportToWkt().

Parameters

  ppszDstText | a text buffer is allocated by the program, and assigned to the passed pointer. After use, *ppszDstText should be freed with OGRFree().
  eWkbVariant | the specification that must be conformed too : wbkVariantOgc for old-style 99-402 extended dimension (Z) WKB types wbkVariantIso for SFSQL 1.2 and ISO SQL/MM Part 3

Returns
  Currently OGRERR_NONE is always returned.

Reimplemented from OGRCurvePolygon.

OGRGeometry * OGRPolygon::getCurveGeometry | ( | const char *const * | papszOptions = `NULL` | ) | const
| virtual

Return curve version of this geometry.

Returns a geometry that has possibly CIRCULARSTRING, COMPOUNDCURVE, CURVEPOLYGON, MULTICURVE or MULTISURFACE in it, by de-approximating curve geometries.

If the geometry has no curve portion, the returned geometry will be a clone of it.

The ownership of the returned geometry belongs to the caller.

The reverse method is OGRGeometry::getLinearGeometry().

This function is the same as C function OGR_G_GetCurveGeometry().

Parameters

  papszOptions | options as a null-terminated list of strings. Unused for now. Must be set to NULL.

Returns
  a new geometry.

Since
  GDAL 2.0

Reimplemented from OGRGeometry.

OGRLinearRing * OGRPolygon::getExteriorRing | ( |  | ) |

Fetch reference to external polygon ring.

Note that the returned ring pointer is to an internal data object of the OGRPolygon. It should not be modified or deleted by the application, and the pointer is only valid till the polygon is next modified. Use the OGRGeometry::clone() method to make a separate copy within the application.

Relates to the SFCOM IPolygon::get_ExteriorRing() method.

Returns
  pointer to external ring. May be NULL if the OGRPolygon is empty.

const char * OGRPolygon::getGeometryName | ( |  | ) | const
| virtual

Fetch WKT name for geometry type.

There is no SFCOM analog to this method.

This method is the same as the C function OGR_G_GetGeometryName().

Returns
  name used for this geometry type in well known text format. The returned pointer is to a static internal string and should not be modified or freed.

Reimplemented from OGRCurvePolygon.

OGRwkbGeometryType OGRPolygon::getGeometryType | ( |  | ) | const
| virtual

Fetch geometry type.

Note that the geometry type may include the 2.5D flag. To get a 2D flattened version of the geometry type apply the wkbFlatten() macro to the return result.

This method is the same as the C function OGR_G_GetGeometryType().

Returns
  the geometry type code.

Reimplemented from OGRCurvePolygon.

OGRLinearRing * OGRPolygon::getInteriorRing | ( | int | iRing | ) |

Fetch reference to indicated internal ring.

Note that the returned ring pointer is to an internal data object of the OGRPolygon. It should not be modified or deleted by the application, and the pointer is only valid till the polygon is next modified. Use the OGRGeometry::clone() method to make a separate copy within the application.

Relates to the SFCOM IPolygon::get_InternalRing() method.

Parameters

  iRing | internal ring index from 0 to getNumInternalRings() - 1.

Returns
  pointer to interior ring. May be NULL.

OGRGeometry * OGRPolygon::getLinearGeometry | ( | double | dfMaxAngleStepSizeDegrees = `0`,
|  | const char *const * | papszOptions = `NULL`
| ) |  | const
| virtual

Return, possibly approximate, non-curve version of this geometry.

Returns a geometry that has no CIRCULARSTRING, COMPOUNDCURVE, CURVEPOLYGON, MULTICURVE or MULTISURFACE in it, by approximating curve geometries.

The ownership of the returned geometry belongs to the caller.

The reverse method is OGRGeometry::getCurveGeometry().

This method is the same as the C function OGR_G_GetLinearGeometry().

Parameters

  dfMaxAngleStepSizeDegrees | the largest step in degrees along the arc, zero to use the default setting.
  papszOptions | options as a null-terminated list of strings. See OGRGeometryFactory::curveToLineString() for valid options.

Returns
  a new geometry.

Since
  GDAL 2.0

Reimplemented from OGRCurvePolygon.

OGRBoolean OGRPolygon::hasCurveGeometry | ( | int | bLookForNonLinear = `FALSE` | ) | const
| virtual

Returns if this geometry is or has curve geometry.

Returns if a geometry is, contains or may contain a CIRCULARSTRING, COMPOUNDCURVE, CURVEPOLYGON, MULTICURVE or MULTISURFACE.

If bLookForNonLinear is set to TRUE, it will be actually looked if the geometry or its subgeometries are or contain a non-linear geometry in them. In which case, if the method returns TRUE, it means that getLinearGeometry() would return an approximate version of the geometry. Otherwise, getLinearGeometry() would do a conversion, but with just converting container type, like COMPOUNDCURVE -> LINESTRING, MULTICURVE -> MULTILINESTRING or MULTISURFACE -> MULTIPOLYGON, resulting in a "loss-less" conversion.

This method is the same as the C function OGR_G_HasCurveGeometry().

Parameters

  bLookForNonLinear | set it to TRUE to check if the geometry is or contains a CIRCULARSTRING.

Returns
  TRUE if this geometry is or has curve geometry.

Since
  GDAL 2.0

Reimplemented from OGRCurvePolygon.

OGRErr OGRPolygon::importFromWkb | ( | unsigned char * | pabyData,
|  | int | nSize = `-1`,
|  | OGRwkbVariant | eWkbVariant = `wkbVariantOldOgc`
| ) |  |
| virtual

Assign geometry from well known binary data.

The object must have already been instantiated as the correct derived type of geometry object to match the binaries type. This method is used by the OGRGeometryFactory class, but not normally called by application code.

This method relates to the SFCOM IWks::ImportFromWKB() method.

This method is the same as the C function OGR_G_ImportFromWkb().

Parameters

  pabyData | the binary input data.
  nSize | the size of pabyData in bytes, or zero if not known.
  eWkbVariant | if wkbVariantPostGIS1, special interpretation is done for curve geometries code

Returns
  OGRERR_NONE if all goes well, otherwise any of OGRERR_NOT_ENOUGH_DATA, OGRERR_UNSUPPORTED_GEOMETRY_TYPE, or OGRERR_CORRUPT_DATA may be returned.

Reimplemented from OGRCurvePolygon.

OGRErr OGRPolygon::importFromWkt | ( | char ** | ppszInput | ) |
| virtual

Assign geometry from well known text data.

The object must have already been instantiated as the correct derived type of geometry object to match the text type. This method is used by the OGRGeometryFactory class, but not normally called by application code.

This method relates to the SFCOM IWks::ImportFromWKT() method.

This method is the same as the C function OGR_G_ImportFromWkt().

Parameters

  ppszInput | pointer to a pointer to the source text. The pointer is updated to pointer after the consumed text.

Returns
  OGRERR_NONE if all goes well, otherwise any of OGRERR_NOT_ENOUGH_DATA, OGRERR_UNSUPPORTED_GEOMETRY_TYPE, or OGRERR_CORRUPT_DATA may be returned.

Reimplemented from OGRCurvePolygon.

OGRPolygon & OGRPolygon::operator= | ( | const OGRPolygon & | other | ) |

Assignment operator.

Note: before GDAL 2.1, only the default implementation of the operator existed, which could be unsafe to use.

Since
  GDAL 2.1

OGRErr OGRPolygon::PointOnSurface | ( | OGRPoint * | poPoint | ) | const
| virtual

This method relates to the SFCOM ISurface::get_PointOnSurface() method.

NOTE: Only implemented when GEOS included in build.

Parameters

  poPoint | point to be set with an internal point.

Returns
  OGRERR_NONE if it succeeds or OGRERR_FAILURE otherwise.

Reimplemented from OGRCurvePolygon.

OGRLinearRing * OGRPolygon::stealExteriorRing | ( |  | ) |

"Steal" reference to external polygon ring.

After the call to that function, only call to stealInteriorRing() or destruction of the OGRPolygon is valid. Other operations may crash.

Returns
  pointer to external ring. May be NULL if the OGRPolygon is empty.

OGRLinearRing * OGRPolygon::stealInteriorRing | ( | int | iRing | ) |

"Steal" reference to indicated interior ring.

After the call to that function, only call to stealInteriorRing() or destruction of the OGRPolygon is valid. Other operations may crash.

Parameters

  iRing | internal ring index from 0 to getNumInternalRings() - 1.

Returns
  pointer to interior ring. May be NULL.

int OGRPolygon::WkbSize | ( |  | ) | const
| virtual

Returns size of related binary representation.

This method returns the exact number of bytes required to hold the well known binary representation of this geometry object. Its computation may be slightly expensive for complex geometries.

This method relates to the SFCOM IWks::WkbSize() method.

This method is the same as the C function OGR_G_WkbSize().

Returns
  size of binary representation in bytes.

Reimplemented from OGRCurvePolygon.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrpolygon.cpp

Generated for GDAL by 1.8.8.